<?php
/**
 * The template for displaying archive pages.
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package A11Y Starter
 */

get_header(); ?>

		<?php if ( have_posts() ) { ?>

			<header class="page-header">
				<?php
					the_archive_title( '<h2 class="page-title">', '</h2>' );
					the_archive_description( '<div class="taxonomy-description">', '</div>' );
				?>
			</header><!-- page-header -->

			<?php while ( have_posts() ) : the_post(); ?>

				<?php
					/* Include the Post-Format-specific template for the content.
					 * If you want to override this in a child theme, then include a file
					 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
					 */
					get_template_part( 'content', get_post_format() );
				?>

			<?php endwhile; ?>

			<?php 
				the_posts_pagination( array(
                    'mid_size' 			 => 2,
					'prev_text'          => __( '&laquo; Previous', 'amiable' ),
                    'next_text'          => __( 'Next &raquo;', 'amiable' ),
                    'before_page_number' => '<span class="meta-nav screen-reader-text">' . __( 'Page', 'amiable' ) . ' </span>',
					'screen_reader_text' => __( 'Posts Navigation', 'amiable' ),
                ) ); 
			?>

		<?php } else { ?>

			<?php get_template_part( 'content', 'none' ); ?>

		<?php } ?>

	</main><!-- site-content # -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>