<?php
if ( ! isset( $content_width ) ) {
	$content_width = 960; 
}

if ( version_compare( $GLOBALS['wp_version'], '4.1-alpha', '<' ) ) {
	require get_template_directory() . '/inc/back-compat.php';
}  

if ( ! function_exists( 'amiable_setup' ) ) :
function amiable_setup() {
	load_theme_textdomain( 'amiable', get_template_directory() . '/languages' );
	add_theme_support( 'automatic-feed-links' );
	add_theme_support( 'title-tag' );
 	add_theme_support( 'post-thumbnails' );
	register_nav_menus( array(
		'primary' => __( 'Primary Menu', 'amiable' ),
		'social'  => __( 'Social Links Menu', 'amiable' ),
	) );
	add_theme_support( 'html5', array(
		'search-form', 'comment-form', 'comment-list', 'gallery', 'caption',
	) );
	add_theme_support( 'post-formats', array(
		'aside', 'image', 'video', 'quote', 'link', 'gallery', 'status', 'audio', 'chat'
	) );
	add_theme_support( 'custom-background', apply_filters( 'amiable_custom_background_args', array(
		'default-color' => 'f8f8f8',
		'default-image' => '',
	) ) );
	add_editor_style( array( 'css/editor-style.css', 'css/genericons/genericons.css', get_template_directory() ) );
}
endif;
add_action( 'after_setup_theme', 'amiable_setup' );

function amiable_widgets_init() {
	register_sidebar( array(
		'name'          => __( 'Sidebar', 'amiable' ),
		'id'            => 'main-sidebar',
		'description'   => 'Main Sidebar',
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );
	register_sidebar( array(
		'name'          => __( 'Footer Widget Area 1', 'amiable' ),
		'id'            => 'footer-widget-1',
		'description'   => 'First of three widget areas above the footer. See inc/footer-widgets.php for more details.',
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h4 class="widget-title">',
		'after_title'   => '</h4>',
	) );
	register_sidebar( array(
		'name'          => __( 'Footer Widget Area 2', 'amiable' ),
		'id'            => 'footer-widget-2',
		'description'   => 'Second of three widget areas above the footer. See inc/footer-widgets.php for more details.',
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h4 class="widget-title">',
		'after_title'   => '</h4>',
	) );
	register_sidebar( array(
		'name'          => __( 'Footer Widget Area 3', 'amiable' ),
		'id'            => 'footer-widget-3',
		'description'   => 'Third of three widget areas above the footer. See inc/footer-widgets.php for more details.',
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h4 class="widget-title">',
		'after_title'   => '</h4>',
	) );
}
add_action( 'widgets_init', 'amiable_widgets_init' );

function amiable_scripts() {
	wp_enqueue_style( 'amiable-style', get_stylesheet_uri() );
	wp_enqueue_style( 'amiable-genericons', get_template_directory_uri().'/css/genericons/genericons.css' );
	wp_enqueue_style( 'amiable-grid', get_template_directory_uri() . '/css/grid.css' );
	wp_enqueue_script( 'amiable-skip-link-focus-fix', get_template_directory_uri() . '/js/skip-link-focus-fix.js', array(), '20130115', true );
	wp_enqueue_script( 'amiable-script', get_template_directory_uri() . '/js/functions.js', array( 'jquery' ), '20140616', true );
	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}
}
add_action( 'wp_enqueue_scripts', 'amiable_scripts' );

require get_template_directory() . '/inc/custom-header.php';
require get_template_directory() . '/inc/template-tags.php';
require get_template_directory() . '/inc/extras.php';
require get_template_directory() . '/inc/customizer.php';