<?php
/**
 * The header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="content">
 *
 * @package Amiable
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="profile" href="http://gmpg.org/xfn/11">
    <link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
    <!--[if lt IE 9]>
	<script src="<?php echo esc_url( get_template_directory_uri() ); ?>/js/html5.js"></script>
	<![endif]-->
	<script>(function(){document.documentElement.className='js'})();</script>
    <?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

<div id="page" class="hfeed site"><!--closed in footer.php -->
    
    <div class="site-wrapper"><!--closed in footer.php -->
        
        <span class="skip-link"><a class=" screen-reader-text" href="#content"><?php _e( 'Skip to content', 'amiable' ); ?></a></span>
    
        <header id="masthead" class="site-header-<?php echo get_theme_mod( 'amiable_sidebar','left' ); ?>" role="banner">
            <?php apply_filters( 'amiable_header_image', '' ); ?>
            <?php if (display_header_text()) { ?>
                <div class="site-branding">
                    <h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
                    <p class="site-description"><?php bloginfo( 'description' ); ?></p>
                </div><!-- .site-branding -->
            <?php } ?>
            <nav class="social-menu" role="navigation" aria-label="Social Link Navigation">
				<h2 class="screen-reader-text"><?php _e( 'Social Link Menu', 'amiable' ); ?></h2>
				<?php wp_nav_menu( array( 'theme_location' => 'social', 'depth' => '1', 'fallback_cb' => '', 'link_before' => '<span class="screen-reader-text">', 'link_after' => '</span>' ) ); ?>
			</nav>
            <button class="menu-toggle"><?php _e( 'Menu', 'amiable' ); ?></button>
            <nav id="primary-navigation" class="site-navigation primary-navigation" role="navigation" aria-label="Primary Navigation">
				<h2 class="screen-reader-text"><?php _e( 'Primary Menu', 'amiable' ); ?></h2>
				<?php wp_nav_menu( array( 'theme_location' => 'primary', 'menu_class' => 'nav-menu' ) ); ?>
			</nav>
            
        </header><!-- site-header -->
        
        <main id="content" class="site-content-<?php echo get_theme_mod( 'amiable_sidebar','left' ); ?>" role="main"><!-- closed in index.php -->