<?php
// Prevent switching to Amiable on old versions of WordPress.
function amiable_switch_theme() {
	switch_theme( WP_DEFAULT_THEME, WP_DEFAULT_THEME );
	unset( $_GET['activated'] );
	add_action( 'admin_notices', 'amiable_upgrade_notice' );
}
add_action( 'after_switch_theme', 'amiable_switch_theme' );

// Add message for unsuccessful theme switch.
function amiable_upgrade_notice() {
	$message = sprintf( __( 'Amiable requires at least WordPress version 4.1. You are running version %s. Please upgrade and try again.', 'amiable' ), $GLOBALS['wp_version'] );
	printf( '<div class="error"><p>%s</p></div>', $message );
}

// Prevent the Customizer from being loaded on WordPress versions prior to 4.1.
function amiable_customize() {
	wp_die( sprintf( __( 'Amiable requires at least WordPress version 4.1. You are running version %s. Please upgrade and try again.', 'amiable' ), $GLOBALS['wp_version'] ), '', array(
		'back_link' => true,
	) );
}
add_action( 'load-customize.php', 'amiable_customize' );

// Prevent the Theme Preview from being loaded on WordPress versions prior to 4.1.
function amiable_preview() {
	if ( isset( $_GET['preview'] ) ) {
		wp_die( sprintf( __( 'Amiable requires at least WordPress version 4.1. You are running version %s. Please upgrade and try again.', 'amiable' ), $GLOBALS['wp_version'] ) );
	}
}
add_action( 'template_redirect', 'amiable_preview' );