<?php
function amiable_custom_header_setup() {
	add_theme_support( 'custom-header', apply_filters( 'amiable_custom_header_args', array(
		'default-image'          => '',
		'default-text-color'     => '000000',
		'width'                  => 960,
		'height'                 => 240,
		'wp-head-callback'       => 'amiable_header_style',
	) ) );
}
add_action( 'after_setup_theme', 'amiable_custom_header_setup' );

function amiable_header_style() {
	
	$text_color   = get_header_textcolor();
    $header_image = get_header_image(); ?>

	<?php if ( ! empty( $header_image ) ) { ?>
        <style type="text/css" id="amiable-custom-header-css">
        .site-branding {padding-top: 0;}
		</style>
    <?php } else { ?>
        <style type="text/css" id="amiable-custom-header-css">
        .site-branding {padding-top: 15px;}
		</style>
    <?php } ?>
            
	<?php if ( $text_color != get_theme_support( 'custom-header', 'default-text-color' ) ) :?>
    
    	<style type="text/css" id="amiable-custom-header-css">
		
			.site-title a:link,
			.site-title a:visited,
			.site-description {
				color: #<?php echo esc_attr( $text_color ); ?>;
			}
		
		</style>
	
	<?php endif; ?>
	
<?php }