<?php
/**
 * The template for displaying all single posts.
 *
 * @package Amiable
 */

get_header();

		while ( have_posts() ) : the_post();

			get_template_part( 'content', 'single' );

			// Show author bio only if the author description has been completed on the profile page
			if ( get_the_author_meta( 'description' ) ) {
                get_template_part( 'author-bio' );
            }
			
			// If comments are open or we have at least one comment, load up the comment template
			if ( comments_open() || get_comments_number() ) {
				comments_template();
			}
			
			the_post_navigation( array(
				'next_text' => '<span class="meta-nav" aria-hidden="true">' . __( 'Next &raquo;', 'amiable' ) . '</span><br /> ' .
					'<span class="screen-reader-text">' . __( 'Next post:', 'amiable' ) . '</span> ' .
					'<span class="post-title">%title</span>',
				'prev_text' => '<span class="meta-nav" aria-hidden="true">' . __( '&laquo; Previous', 'amiable' ) . '</span><br /> ' .
					'<span class="screen-reader-text">' . __( 'Previous post:', 'amiable' ) . '</span> ' .
					'<span class="post-title">%title</span>',
			) );

		endwhile; ?>

		</main><!-- site-content -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>