<?php
/*
Template Name: Sitemap
*/

get_header(); ?>

	<article id="post-<?php the_ID(); ?>" <?php post_class('site-page'); ?>>
            
            <header class="entry-header">
                <?php the_title( '<h2 class="entry-title">', '</h2>' ); ?>
            </header><!-- entry-header -->
        
            <div class="entry-content">
                
                <?php while ( have_posts() ) : the_post(); ?>
					<?php the_content(); ?>
                <?php endwhile; ?>
                
                <div class="row-half-margin section">
                    <div class="col grid-6 sitemap">
                        <h3 id="authors" class="sitemap-title">Authors</h3>
                        <ul>
                        <?php
                        wp_list_authors(
                          array(
                            'exclude_admin' => false,
                          )
                        );
                        ?>
                        </ul>
                        
                        <h3 id="pages" class="sitemap-title sitemap-double">Pages</h3>
                        <ul>
                        <?php
                        // Add pages you'd like to exclude in the exclude here
                        wp_list_pages(
                          array(
                            'exclude' => '',
                            'title_li' => '',
                          )
                        );
                        ?>
                        </ul>
                    </div>
                
                    <div class="col grid-6 sitemap">
                        <h3 id="posts" class="sitemap-title sitemap-second">Posts</h3>
                        <ul>
                        <?php
                        // Add categories you'd like to exclude in the exclude here
                        $cats = get_categories('exclude=');
                        foreach ($cats as $cat) {
                          echo "<li><em>".$cat->cat_name."</em>";
                          echo "<ul>";
                          query_posts('posts_per_page=-1&cat='.$cat->cat_ID);
                          while(have_posts()) {
                            the_post();
                            $category = get_the_category();
                            // Only display a post link once, even if it's in multiple categories
                            if ($category[0]->cat_ID == $cat->cat_ID) {
                              echo '<li><a href="'.get_permalink().'">'.get_the_title().'</a></li>';
                            }
                          }
                          echo "</ul>";
                          echo "</li>";
                        }
                        ?>
                        </ul>
                    </div>
                </div>
                
            </div><!-- entry-content -->
        
        </article><!-- site-page -->
    
    </main><!-- site-content -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>